<?php
include(dirname(__FILE__) . "/lib/common_include.php");
//パラメータの整形
//パラメータは

//db_id
//table_id
//row_id[]

//として入ってくるので、これを変形する。
//$id(db_id)
//$table_id(table_id)
//$aryRowid=[row_id[]]
//の形にする。

function main(){
	//基本パラメータのチェック
	$id = null;
	$table_id = null;
	$aryRowid = null;

	if( array_key_exists('db_id' , $_POST ) ){
		$id = $_POST['db_id'];
		if( !is_string($id) ){
			errLog('Post["db_id"] is not string');
			return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
		}
	}else{
		errLog('Post["db_id"] is not Found');
		return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
	if( array_key_exists('table_id' , $_POST ) ){
		$table_id = $_POST['table_id'];
		if( !is_string($table_id) ){
			errLog('Post["table_id"] is not string');
			return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
		}
	}else{
		errLog('Post["table_id"] is not Found');
		return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}




	if( array_key_exists('row_id' , $_POST ) ){
		$aryRowid = $_POST['row_id'];
		if( !is_array($aryRowid)){
			errLog('Post["row_id"] is not array');
			return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
		}

		foreach($aryRowid as $idx => $rowid ){
			if( !is_string($rowid)){
				errLog('Post["row_id"]['.idx.'] is not string');
				return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
			}
			if( $rowid == '' ){
				errLog('Post["row_id"]['.idx.'] is null');
				return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
			}
			if( !is_numeric( $rowid ) ){
				errLog('Post["row_id"]['.idx.'] is not numeric');
				return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
			}
			$aryRowid[$idx] = floatval($rowid);
		}
	}else{
		errLog('Post["row_id"] is not Found');
		return CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}

	$db = new usrDb($id);
	if( ! $db->isEnable() ){
		errLog(
			'DB INITIALIZE ERROR'
		);
		return $db->error;
	}else{
		return $db->delete($table_id,$aryRowid);
	};
}

C\res( main() );


